=== app/icons/CMakeLists.txt ===
kde4_install_icons(${ICON_INSTALL_DIR}) # this installs the icons with a file name of the form <type><size>-<group>-<name>.<extension>, e.g. hi22-apps-ktikz.png
