=== debian/changelog ===
ktikz (0.10-3build1) quantal; urgency=low

  * No change rebuild to get the latest libpoppler-qt4-3.

 -- Andy Whitcroft <apw@ubuntu.com>  Wed, 13 Jun 2012 11:40:25 +0100

ktikz (0.10-3) unstable; urgency=low

  * Build-depend on libmagickcore-extra instead of libmagickcore4-extra
    (Closes: #669506).
  * Build-depend on librsvg2-bin for svg to png conversion.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Fri, 06 Apr 2012 23:20:36 +0100

ktikz (0.10-2) unstable; urgency=low

  * Add a build-dependency on pkg-config to accommodate libpoppler-dev changes.
  * Bump standards-version to 3.9.3 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Wed, 29 Feb 2012 00:18:45 +0000

ktikz (0.10-1) unstable; urgency=low

  * New upstream version.
  * Initial upload to unstable (Closes: #521837).
  * Bump standards-version to 3.9.2 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sun, 26 Jun 2011 23:49:44 +0100

ktikz (0.10~svn127-1) unstable; urgency=low

  * New upstream version (svn snapshot).
  * No longer rename sharedmimeinfo files (now done by upstream build system).
  * Drop man pages from debian directory now that they are included by upstream.
  * Add Recommends: qt4-dev-tools for qtikz for help system.
  * Add README.Debian to explain purpose of recommended packages.
  * Refresh patches.
  * Bump standards-version to 3.9.0 (no changes required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sat, 24 Jul 2010 14:15:46 +0100

ktikz (0.10~svn118-1) unstable; urgency=low

  * New upstream version (svn snapshot).
  * Drop qmake-translation.patch now included upstream.
  * Change dh7 build-system to "kde" and depend on pkg-kde-tools for this.
  * Add support for "noopt" builds of the package.

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Wed, 23 Jun 2010 12:12:40 +0100

ktikz (0.10~svn112-1) unstable; urgency=low

  * New upstream version (svn snapshot).
  * Drop patch tikz-default-doc-path.patch since upstream build system now
    includes this default.
  * Also compile the Qt version (qtikz) and create the qtikz package for it.
  * Add qmake-translation.patch to manage building translations for the Qt
    version as part of the regular build process.
  * Update copyright years, people and GPL version (now GPLv2+).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Tue, 17 Jun 2010 12:54:25 +0100

ktikz (0.10~svn103-1) unstable; urgency=low

  * New upstream version (svn snapshot).
  * Convert to 3.0 (quilt) format with dh7.
  * Expand long description to include information on tikz.
  * Add watch file.
  * Update copyright years, people and GPL version (now GPLv3).
  * Patch location of PGF documentation for tikz.
  * Add myself as an Uploader.
  * Bump standards-version to 3.8.4 (no change required).

 -- Stuart Prescott <stuart+debian@nanonanonano.net>  Sat, 05 Jun 2010 00:02:33 +0100

ktikz (0.9-1) unstable; urgency=low

  * Upgraded to the 0.9 upstream release

 -- Florian Hackenberger <florian@hackenberger.at>  Sun, 13 Sep 2009 12:46:21 +0200

ktikz (0.8-1) unstable; urgency=low

  * Adapted debian packaging infrastructure. Thanks to Agustin Martin.

 -- Florian Hackenberger <florian@hackenberger.at>  Sat, 07 Mar 2009 15:22:21 +0100

ktikz (0.7-0.1) unstable; urgency=low

  * Make a normal Debian package, not a native one.
  * Create and install a minimal man page.
  * debian/rules:
    - Use distclean in clean target.
    - Make sure auto-generated src/ktikz.desktop is removed in clean target.
    - Call dh_desktop (Fix lintian warning: ktikz:
      desktop-mimetype-without-update-call).
    - Call dh_installmenu.
    - Remove unused stuff from original dh_make template.
  * debian/control:
    - Fix lintian 'E: ktikz: description-starts-with-package-name'.
    - Add Homepage and Vcs-Svn fields.
    - Bump Standards-Version to 3.8.0. No changes required.
  * debian/copyright: Improved wording. Fix some lintian warnings:
    - Fix lintian 'copyright-refers-to-versionless-license-file'.
    - Fix lintian 'copyright-contains-dh_make-todo-boilerplate'.

 -- Agustin Martin Domingo <agustin.martin@hispalinux.es>  Mon, 02 Mar 2009 15:49:30 +0100

ktikz (0.7) hardy; urgency=low

  * Upgraded to release 0.7

 -- Florian Hackenberger <florian@hackenberger.at>  Sat, 15 Nov 2008 14:47:54 +0100

ktikz (0.6-1) unstable; urgency=low

  * Updated source version to 0.6

 -- Florian Hackenberger <fhackenberger@hackenberger.at>  Sun, 23 Mar 2008 09:19:36 +0100

ktikz (0.4-1) unstable; urgency=low

  * Initial release of the debian package for ktikz

 -- Florian Hackenberger <florian@hackenberger.at>  Tue, 11 Sep 2007 15:32:17 +0200
