## ktikz 0.11~git20150904

=== debian/changelog ===
ktikz (0.11~git20150904-2) unstable; urgency=medium

  * Define types for qMax comparison for armel and armhf, with thanks
    to Sune Vuorela for the assistance.

 -- Stuart Prescott <stuart@debian.org>  Mon, 05 Sep 2016 00:45:11 +1000

ktikz (0.11~git20150904-1) unstable; urgency=medium

  * New upstream release.
    - improves UTF-8 support (Closes: #649354).
    - uses temporary directories correctly (Closes: #649357).
  * Adjust macro definitions for newer cmake (Closes: #801581).
  * Update homepage/copyright information (Closes: #690126).
  * Add URL parmaeter to desktop file.
  * Drop obsolete menu files.

 -- Stuart Prescott <stuart@debian.org>  Mon, 29 Aug 2016 00:08:31 +1000

ktikz (0.10-4.1) unstable; urgency=medium

  * Non-maintainer upload.
     Fix FTBFS with new cmake: -DMARCO="string" should use 1 `\' instead of 3.

 -- YunQiang Su <syq@debian.org>  Mon, 12 Oct 2015 16:33:59 +0800

ktikz (0.10-4) unstable; urgency=low

  * Stop using imagemagick (Closes: #761725).
  * Update Homepage field.
  * Convert copyright file to copyright-format/1.0.
  * Change to debhelper compat 9.
  * Bump standards version to 3.9.6 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Sat, 20 Sep 2014 00:02:00 +1000
