=== debian/watch ===
version=3

https://github.com/CDrummond/cantata/tags .*/v?(\d\S*)\.tar\.gz
