=== part/CMakeLists.txt ===
--- 
+++ 
@@ -1,28 +1,41 @@
+include(../KtikzConfig.cmake)
+add_definitions(-DKTIKZ_TRANSLATIONS_INSTALL_DIR=\\\"${KTIKZ_TRANSLATIONS_INSTALL_DIR}\\\")
+
 set(KTIKZPART_DATA_INSTALL_DIR ${DATA_INSTALL_DIR}/ktikzpart)
 #add_definitions(-DORGNAME=\\\"Florian_Hackenberger\\\" -DAPPNAME=\\\"ktikz\\\")
-#add_definitions(-DKTIKZ_USE_KDE)
+add_definitions(-DKTIKZ_KPART)
 
 include_directories(
 	${CMAKE_CURRENT_SOURCE_DIR}/../common
 )
 
 set(ktikzpart_SRCS
+	browserextension.cpp
 	configdialog.cpp
 	configgeneralwidget.cpp
 	part.cpp
 	../common/templatewidget.cpp
 	../common/tikzpreview.cpp
-	../common/tikzpreviewthread.cpp
+	../common/tikzpreviewmessagewidget.cpp
+	../common/tikzpreviewrenderer.cpp
 	../common/tikzpreviewcontroller.cpp
 	../common/tikzpreviewgenerator.cpp
 	../common/utils/action.cpp
+	../common/utils/combobox.cpp
+	../common/utils/file.cpp
 	../common/utils/filedialog.cpp
+	../common/utils/globallocale.cpp
 	../common/utils/lineedit.cpp
+	../common/utils/messagebox.cpp
+	../common/utils/printpreviewdialog.cpp
 	../common/utils/recentfilesaction.cpp
 	../common/utils/selectaction.cpp
 	../common/utils/standardaction.cpp
+	../common/utils/tempdir.cpp
 	../common/utils/toggleaction.cpp
+	../common/utils/toolbar.cpp
 	../common/utils/url.cpp
+	../common/utils/zoomaction.cpp
 )
 
 kde4_add_ui_files(ktikzpart_SRCS
