=== debian/changelog ===
ktikz (0.11~git20161122-1) unstable; urgency=medium

  * New upstream snapshot from git (commit be66c8b).
  * Track upstream commits in d/watch as potential new releases, with thanks
    to Paul Wise for the implementation.

 -- Stuart Prescott <stuart@debian.org>  Thu, 19 Jan 2017 00:02:23 +1100

ktikz (0.11~git20150904-3) unstable; urgency=medium

  * Add appdata.xml file to package.
  * Fix watch file.

 -- Stuart Prescott <stuart@debian.org>  Tue, 29 Nov 2016 00:33:40 +1100
