=== debian/control ===
--- 
+++ 
@@ -2,22 +2,20 @@
 Section: graphics
 Priority: optional
 Maintainer: Florian Hackenberger <florian@hackenberger.at>
-Uploaders: Stuart Prescott <stuart+debian@nanonanonano.net>
-Build-Depends: debhelper (>= 7.3.16~),
-                pkg-kde-tools (>= 0.5~),
+Uploaders: Stuart Prescott <stuart@debian.org>
+Build-Depends: debhelper (>= 9),
+                pkg-kde-tools,
                 cmake,
                 pkg-config,
-                qt4-dev-tools,
-                libqt4-dev (>= 4.4.0~),
+                qttools5-dev-tools,
+                qtbase5-dev,
                 libpoppler-qt4-dev,
+                libpoppler-qt5-dev,
+                libqt5sql5-sqlite,
                 kdelibs5-dev,
-                xsltproc,
-                imagemagick,
-                libmagickcore-extra,
-                librsvg2-bin
-Homepage: http://www.hackenberger.at/ktikz-editor-for-the-tikz-language
-Vcs-Svn: svn://hackenberger.at/svnroot/ktikz/trunk
-Standards-Version: 3.9.3
+                xsltproc
+Homepage: https://github.com/fhackenberger/ktikz
+Standards-Version: 3.9.8
 
 Package: ktikz
 Architecture: any
@@ -26,7 +24,7 @@
           ${shlibs:Depends},
           ${misc:Depends}
 Recommends: poppler-utils,
-              khelpcenter4
+              khelpcenter
 Description: editor for the TikZ drawing language - KDE version
  KtikZ is a small application to assist in the creation of diagrams and
  drawings using the TikZ macros from the LaTeX package "pgf". It consists of
@@ -49,7 +47,7 @@
           ${shlibs:Depends},
           ${misc:Depends}
 Recommends: poppler-utils,
-            qt4-dev-tools
+            qttools5-dev-tools
 Description: editor for the TikZ drawing language - Qt version
  QtikZ is a small application to assist in the creation of diagrams and
  drawings using the TikZ macros from the LaTeX package "pgf". It consists of
