=== debian/changelog ===
ktikz (0.12+ds1-1) unstable; urgency=medium

  * New upstream release supporting kf5 (no more Qt4/KDE4 components).

 -- Stuart Prescott <stuart@debian.org>  Mon, 12 Mar 2018 17:28:50 +1100

ktikz (0.12~kf5~git20180116-1) experimental; urgency=medium

  * New upstream git snapshot of the 'frameworks' branch.
    - Drop qstring-ctor.patch applied upstream.
  * Make the KDE Extras Team the maintainer.
  * Add Vcs headers for salsa.debian.org.

 -- Stuart Prescott <stuart@debian.org>  Wed, 28 Feb 2018 00:56:37 +1100

ktikz (0.12~kf5~git20180101-1) experimental; urgency=medium

  * New upstream git snapshot of the 'frameworks' branch for KF5 support
    (Closes: #874996, #883501).
  * Add qstring-ctor.patch to permit compilation with QT_NO_CAST_FROM_ASCII.
  * Update Standards-Version to 4.1.3 (no changes required).
  * Update to debhelper 11.

 -- Stuart Prescott <stuart@debian.org>  Tue, 02 Jan 2018 18:27:49 +1100

ktikz (0.11.ds1-1) unstable; urgency=medium

  * New upstream release.
    - drop patches applied upstream (cmake-defines, qreal-templates,
      qt5-fromascii).
  * Update Standards-Version to 4.1.0 (no changes required).
  * Drop obsolete mimelnk file (Closes: #875515).
  * Allow creation of a qtikz-dbgsym package.
  * Optimistically switch watch file back to looking at releases.

 -- Stuart Prescott <stuart@debian.org>  Sat, 23 Sep 2017 17:05:52 +1000

ktikz (0.11~git20161122-2) unstable; urgency=medium

  * change dependency on pgf to texlive-pictures to match new texlive
    packaging, thanks to Norbert Preining for the heads-up (Closes: #863684).
  * Bump standards-version to 4.0.0 (no changes required).

 -- Stuart Prescott <stuart@debian.org>  Tue, 20 Jun 2017 17:08:38 +1000
