=== debian/watch ===
version=3

# Track upstream tags
opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ktikz-$1\.tar\.gz/,dversionmangle=s/.ds\d//,repacksuffix=+ds1" \
 https://github.com/fhackenberger/ktikz/tags .*/v?(\d\S*)\.tar\.gz


# Track upstream commits as being potentially new versions

#opts="uversionmangle=s/.*version=(\d+\.\d+).date=(\d{4})-(\d\d)-(\d\d)T.*/$1~git$2$3$4/, \
#    filenamemangle=s/.*version=(\d+\.\d+).date=(\d{4})-(\d\d)-(\d\d)T.*/$1~git$2$3$4.tar.gz/" \
#https://qa.debian.org/cgi-bin/fakeupstream.cgi?#file=CMakeLists.txt;type=cmake;upstream=github_commits_package_json/fhackenberger/ktikz  \
#    .*/archive/(.*\.tar\.gz?.*)
